package com.iformall.mapper;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxCUser;

public interface WxCUserMapper extends CommonMapper<WxCUser, Long> {

	List<WxCUser> findList(WxCUser wxCUser);
	
	WxCUser findByOpenId(WxCUser record);

	WxCUser findByToken(String token);
	
	long findCount(WxCUserBasicInfoDto dto);

	List<WxCUser> listByChannel(WxCUser wxCUser);

	long countByChannel(WxCUser wxCUser);
}
